<?php

namespace Drupal\piwik_noscript;

use Drupal\Core\Security\TrustedCallbackInterface;

/**
 * Provides callbacks for lazy builders.
 */
class TrustedCallbacks implements TrustedCallbackInterface {

  /**
   * A phpcs sniff checks for a __construct method.
   */
  private function __construct() {}

  /**
   * {@inheritdoc}
   */
  public static function trustedCallbacks() {
    return ['getImage'];
  }

  /**
   * Callback for returning URL-encoded request URL.
   *
   * @return mixed[]
   *   Renderable array.
   */
  public static function getImage(): array {
    return piwik_noscript_image(piwik_noscript_options());
  }

}
